echo off
REM TTF2T42WE.bat is a modified version of TTF2T42.bat file indtended for use
REM within the Microsoft Windows Explorer environment. Before you can
REM use it:
REM    1.   Modify the command line below (it starts with C:\GS) to
REM         reflect where GhostScript and TrueTypeToType42.ps are
REM         located in your own folder structure.
REM    2.   Place a copy of the modified file in your SendTo folder.
REM         (The path name of my SendTo folder is:
REM         C:\Documents and Settings\Thomas H. Barton\SendTo
REM         )
REM
REM To use TTF2T42WE.bat to create the PostScript type 42 version of a
REM TrueType font, 
REM    1.   Start Windows Explorer.
REM    2.   Move to the folder containing the TrueType font. (My
REM         TrueType fonts which came with Windows 2000 are by default
REM         placed in folder C:\WINNT\Fonts. This folder has special
REM         properties suited to the Microsoft font software. To 
REM         overcome the difficutlies caused by this, I have copied the
REM         font files to folder C:\TrueType\ and convert them from
REM         there.)
REM    3.   Right click on the font. This unfurls a short menu of
REM         choices.
REM    4.   Left click on SendTo. This unfurls another menu of choices.
REM    5.   Left click on TTF2T42WE.bat. This starts up the conversion
REM         process within GhostScript.
REM Three output files are created in the directory specified by the
REM value of the key /Path in file TrueTypeToType42.ps. In Windows
REM Explorer, it is a trivial matter to transfer these files to wherever
REM you may need them.(I use folder D:\Temp for this purpose but you
REM can change the value of /Path to suit your own needs.)
REM
REM The three files which are created are:
REM    1.  The type 42 equivalent of the TrueType file.
REM    2.  A PostScript file called ShowAllGlyphs.ps which will
REM        print a table of all the names and appearances of all the
REM        glyphs defined by the font.
REM    3.  A text file called TrueTypeToType42.out containing a report
REM        on the progress of program TrueTypeTpType42.ps.
REM
REM The root name of the type 42 file is the PostScript name of the
REM font and its extension is .pfa. For example TrueType file arial.ttf
REM defines font ArialMT and its type 42 equivalent is called
REM ArialMT.pfa. This file can be used like a Type 1 PFA file:
REM      a.   It can be inserted as-is into the prologue of any PostScript
REM           file using the font. 
REM      b.   It can be downloaded as-is to a printer hard disk.
REM      c.   It can be renamed and/or reencoded.
REM
REM File ShowAllGlyphs.ps can be displayed in GhostView or can be
REM downloaded to a printer whose PostScript can recognise type 42 fonts.
REM (This capability was introduced about half way through the life of level
REM 2 PostScript.) I use it with PostScript interpreter version
REM 2011.110 and have used it with GhostScript versions 6.5 and 7.0. The
REM file is self contained, i.e. there is a copy of the type 42 file in
REM its prologue.
REM
REM File TrueTypeToType42.out is almost identical to the report which
REM is made to the screen during the running of TrueTypeToType42.ps under
REM GhostScript. You probably only need to look at it if you are having
REM problems.
if "%1"=="" goto G1
if not exist %1 goto G2
C:\GS\GS7.00\bin\gswin32 -IC:\GS\GS7.00 -- D:\Fonts\TrueType\Utilities\TrueTypeToType42.ps %1
goto End
:G1 echo  You must give the root name of the TTF file as the command
echo line argument. Please try again.
goto End
:G2 echo  I cannot file the TrueType input file %1.ttf in folder
echo C:\Winnt\Fonts. Please check and try again.
goto End
:End